<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.7"/>
<title>Framework: Unix_I2cPort.h Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { searchBox.OnSelectItem(0); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="logo_hds.png"/></td>
  <td style="padding-left: 0.5em;">
   <div id="projectname">Framework
   </div>
   <div id="projectbrief">Framework drone</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.7 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li><a href="annotated.html"><span>Classes</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.html"><span>File&#160;List</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('_unix___i2c_port_8h_source.html','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&#160;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&#160;</span>Classes</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&#160;</span>Namespaces</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(3)"><span class="SelectionMark">&#160;</span>Files</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(4)"><span class="SelectionMark">&#160;</span>Functions</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(5)"><span class="SelectionMark">&#160;</span>Variables</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(6)"><span class="SelectionMark">&#160;</span>Typedefs</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(7)"><span class="SelectionMark">&#160;</span>Enumerations</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(8)"><span class="SelectionMark">&#160;</span>Enumerator</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(9)"><span class="SelectionMark">&#160;</span>Properties</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="headertitle">
<div class="title">Unix_I2cPort.h</div>  </div>
</div><!--header-->
<div class="contents">
<a href="_unix___i2c_port_8h.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;</div>
<div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160;<span class="preprocessor">#ifndef UNIX_I2CPORT_H</span></div>
<div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160;<span class="preprocessor">#define UNIX_I2CPORT_H</span></div>
<div class="line"><a name="l00011"></a><span class="lineno">   11</span>&#160;</div>
<div class="line"><a name="l00012"></a><span class="lineno">   12</span>&#160;<span class="preprocessor">#include &lt;<a class="code" href="_i2c_port_8h.html">I2cPort.h</a>&gt;</span></div>
<div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160;</div>
<div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160;<span class="keyword">namespace </span>framework</div>
<div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160;{</div>
<div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160;<span class="keyword">namespace </span>core</div>
<div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160;{</div>
<div class="line"><a name="l00023"></a><span class="lineno"><a class="line" href="classframework_1_1core_1_1_unix___i2c_port.html">   23</a></span>&#160;    <span class="keyword">class </span><a class="code" href="classframework_1_1core_1_1_unix___i2c_port.html">Unix_I2cPort</a>: <span class="keyword">public</span> <a class="code" href="classframework_1_1core_1_1_i2c_port.html">I2cPort</a></div>
<div class="line"><a name="l00024"></a><span class="lineno">   24</span>&#160;    {</div>
<div class="line"><a name="l00025"></a><span class="lineno">   25</span>&#160;</div>
<div class="line"><a name="l00026"></a><span class="lineno">   26</span>&#160;        <span class="keyword">public</span>:</div>
<div class="line"><a name="l00036"></a><span class="lineno">   36</span>&#160;            <a class="code" href="classframework_1_1core_1_1_unix___i2c_port.html#a3d51e1a2037721494ef36a13139f189d">Unix_I2cPort</a>(<span class="keyword">const</span> <a class="code" href="classframework_1_1core_1_1_object.html">Object</a>* parent,std::string port_name,std::string device);</div>
<div class="line"><a name="l00037"></a><span class="lineno">   37</span>&#160;</div>
<div class="line"><a name="l00042"></a><span class="lineno">   42</span>&#160;            <a class="code" href="classframework_1_1core_1_1_unix___i2c_port.html#a93a1dbca6cfac155abd91ef0912021c2">~Unix_I2cPort</a>();</div>
<div class="line"><a name="l00043"></a><span class="lineno">   43</span>&#160;</div>
<div class="line"><a name="l00051"></a><span class="lineno">   51</span>&#160;            <span class="keywordtype">int</span> <a class="code" href="classframework_1_1core_1_1_unix___i2c_port.html#a71262fcedcd357514ae302af6323f73a">SetSlave</a>(uint16_t address);</div>
<div class="line"><a name="l00052"></a><span class="lineno">   52</span>&#160;</div>
<div class="line"><a name="l00060"></a><span class="lineno">   60</span>&#160;            <span class="keywordtype">void</span> <a class="code" href="classframework_1_1core_1_1_unix___i2c_port.html#aca4dfe84f9c9a4fcc64d543cd54135ab">SetRxTimeout</a>(<a class="code" href="namespaceframework_1_1core.html#a556a09521d9b94e1c9f0bfe6744d611d">Time</a> timeout_ns);</div>
<div class="line"><a name="l00061"></a><span class="lineno">   61</span>&#160;</div>
<div class="line"><a name="l00069"></a><span class="lineno">   69</span>&#160;            <span class="keywordtype">void</span> <a class="code" href="classframework_1_1core_1_1_unix___i2c_port.html#a600e9f8e878961e775e215ab52d3ec34">SetTxTimeout</a>(<a class="code" href="namespaceframework_1_1core.html#a556a09521d9b94e1c9f0bfe6744d611d">Time</a> timeout_ns);</div>
<div class="line"><a name="l00070"></a><span class="lineno">   70</span>&#160;</div>
<div class="line"><a name="l00079"></a><span class="lineno">   79</span>&#160;            ssize_t <a class="code" href="classframework_1_1core_1_1_unix___i2c_port.html#a7452b5dbabdbe12b05ebfdcc953690c2">Write</a>(<span class="keyword">const</span> <span class="keywordtype">void</span> *buf,<span class="keywordtype">size_t</span> nbyte);</div>
<div class="line"><a name="l00080"></a><span class="lineno">   80</span>&#160;</div>
<div class="line"><a name="l00089"></a><span class="lineno">   89</span>&#160;            ssize_t <a class="code" href="classframework_1_1core_1_1_unix___i2c_port.html#a1dbddcf0ce0237295efffc698b9cbea5">Read</a>(<span class="keywordtype">void</span> *buf,<span class="keywordtype">size_t</span> nbyte);</div>
<div class="line"><a name="l00090"></a><span class="lineno">   90</span>&#160;</div>
<div class="line"><a name="l00091"></a><span class="lineno">   91</span>&#160;        <span class="keyword">private</span>:</div>
<div class="line"><a name="l00092"></a><span class="lineno">   92</span>&#160;            <span class="keywordtype">int</span> fd;</div>
<div class="line"><a name="l00093"></a><span class="lineno">   93</span>&#160;    };</div>
<div class="line"><a name="l00094"></a><span class="lineno">   94</span>&#160;} <span class="comment">// end namespace core</span></div>
<div class="line"><a name="l00095"></a><span class="lineno">   95</span>&#160;} <span class="comment">// end namespace framework</span></div>
<div class="line"><a name="l00096"></a><span class="lineno">   96</span>&#160;</div>
<div class="line"><a name="l00097"></a><span class="lineno">   97</span>&#160;<span class="preprocessor">#endif // UNIX_I2CPORT_H</span></div>
<div class="ttc" id="namespaceframework_1_1core_html_a556a09521d9b94e1c9f0bfe6744d611d"><div class="ttname"><a href="namespaceframework_1_1core.html#a556a09521d9b94e1c9f0bfe6744d611d">framework::core::Time</a></div><div class="ttdeci">unsigned long long Time</div><div class="ttdoc">Time definition, in ns. </div><div class="ttdef"><b>Definition:</b> Object.h:49</div></div>
<div class="ttc" id="classframework_1_1core_1_1_unix___i2c_port_html_a7452b5dbabdbe12b05ebfdcc953690c2"><div class="ttname"><a href="classframework_1_1core_1_1_unix___i2c_port.html#a7452b5dbabdbe12b05ebfdcc953690c2">framework::core::Unix_I2cPort::Write</a></div><div class="ttdeci">ssize_t Write(const void *buf, size_t nbyte)</div><div class="ttdoc">Write datas. </div></div>
<div class="ttc" id="classframework_1_1core_1_1_unix___i2c_port_html_a71262fcedcd357514ae302af6323f73a"><div class="ttname"><a href="classframework_1_1core_1_1_unix___i2c_port.html#a71262fcedcd357514ae302af6323f73a">framework::core::Unix_I2cPort::SetSlave</a></div><div class="ttdeci">int SetSlave(uint16_t address)</div><div class="ttdoc">Set slave&#39;s address. </div></div>
<div class="ttc" id="_i2c_port_8h_html"><div class="ttname"><a href="_i2c_port_8h.html">I2cPort.h</a></div><div class="ttdoc">Base class for i2c port. </div></div>
<div class="ttc" id="classframework_1_1core_1_1_unix___i2c_port_html_a600e9f8e878961e775e215ab52d3ec34"><div class="ttname"><a href="classframework_1_1core_1_1_unix___i2c_port.html#a600e9f8e878961e775e215ab52d3ec34">framework::core::Unix_I2cPort::SetTxTimeout</a></div><div class="ttdeci">void SetTxTimeout(Time timeout_ns)</div><div class="ttdoc">Set TX timeout. </div></div>
<div class="ttc" id="classframework_1_1core_1_1_unix___i2c_port_html_a93a1dbca6cfac155abd91ef0912021c2"><div class="ttname"><a href="classframework_1_1core_1_1_unix___i2c_port.html#a93a1dbca6cfac155abd91ef0912021c2">framework::core::Unix_I2cPort::~Unix_I2cPort</a></div><div class="ttdeci">~Unix_I2cPort()</div><div class="ttdoc">Destructor. </div></div>
<div class="ttc" id="classframework_1_1core_1_1_unix___i2c_port_html_a3d51e1a2037721494ef36a13139f189d"><div class="ttname"><a href="classframework_1_1core_1_1_unix___i2c_port.html#a3d51e1a2037721494ef36a13139f189d">framework::core::Unix_I2cPort::Unix_I2cPort</a></div><div class="ttdeci">Unix_I2cPort(const Object *parent, std::string port_name, std::string device)</div><div class="ttdoc">Constructor. </div></div>
<div class="ttc" id="classframework_1_1core_1_1_object_html"><div class="ttname"><a href="classframework_1_1core_1_1_object.html">framework::core::Object</a></div><div class="ttdoc">Base class for all Framework&#39;s classes. </div><div class="ttdef"><b>Definition:</b> Object.h:75</div></div>
<div class="ttc" id="classframework_1_1core_1_1_unix___i2c_port_html"><div class="ttname"><a href="classframework_1_1core_1_1_unix___i2c_port.html">framework::core::Unix_I2cPort</a></div><div class="ttdoc">Class for unix serial port. </div><div class="ttdef"><b>Definition:</b> Unix_I2cPort.h:23</div></div>
<div class="ttc" id="classframework_1_1core_1_1_unix___i2c_port_html_a1dbddcf0ce0237295efffc698b9cbea5"><div class="ttname"><a href="classframework_1_1core_1_1_unix___i2c_port.html#a1dbddcf0ce0237295efffc698b9cbea5">framework::core::Unix_I2cPort::Read</a></div><div class="ttdeci">ssize_t Read(void *buf, size_t nbyte)</div><div class="ttdoc">Read datas. </div></div>
<div class="ttc" id="classframework_1_1core_1_1_unix___i2c_port_html_aca4dfe84f9c9a4fcc64d543cd54135ab"><div class="ttname"><a href="classframework_1_1core_1_1_unix___i2c_port.html#aca4dfe84f9c9a4fcc64d543cd54135ab">framework::core::Unix_I2cPort::SetRxTimeout</a></div><div class="ttdeci">void SetRxTimeout(Time timeout_ns)</div><div class="ttdoc">Set RX timeout. </div></div>
<div class="ttc" id="classframework_1_1core_1_1_i2c_port_html"><div class="ttname"><a href="classframework_1_1core_1_1_i2c_port.html">framework::core::I2cPort</a></div><div class="ttdoc">Base class for i2c port. </div><div class="ttdef"><b>Definition:</b> I2cPort.h:27</div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="dir_d9f696bd07998dbcfc5b49e19dc5f66d.html">igep</a></li><li class="navelem"><a class="el" href="dir_7775cfc2302e50905e8c794823e78d65.html">uav_lib</a></li><li class="navelem"><a class="el" href="dir_3d8b3ef72b6bddf04a7da37c46c6171b.html">framework</a></li><li class="navelem"><a class="el" href="dir_b562b7e28db909b473d6df8cfc340e1a.html">Framework</a></li><li class="navelem"><a class="el" href="dir_351818660e8c85d910ad9decfeb820b5.html">src</a></li><li class="navelem"><a class="el" href="_unix___i2c_port_8h.html">Unix_I2cPort.h</a></li>
    <li class="footer">Generated on Tue Apr 12 2016 16:28:59 for Framework by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.7 </li>
  </ul>
</div>
</body>
</html>
